gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::DecodeBin Class Reference
gstreamermm Plugins

A Wrapper for the decodebin plugin. More...

Inheritance diagram for Gst::DecodeBin:
[legend]
Collaboration diagram for Gst::DecodeBin:
[legend]

List of all members.

## Public Member Functions

virtual | ~DecodeBin ()
GstDecodeBin* | gobj ()
| Provides access to the underlying C GObject.
const GstDecodeBin* | gobj () const
| Provides access to the underlying C GObject.
GstDecodeBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_sink_caps ()
| The caps of the input data.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_sink_caps () const
| The caps of the input data.
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, bool > | signal_new_decoded_pad ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_removed_decoded_pad ()
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_unknown_type ()

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DecodeBin > | create ()
| Creates a new decodebin plugin with a unique name.
static Glib::RefPtr< DecodeBin > | create (const Glib::ustring& name)
| Creates a new decodebin plugin with the given name.

## Protected Member Functions

| DecodeBin ()
| DecodeBin (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::DecodeBin > | wrap (GstDecodeBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the decodebin plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::DecodeBin::~DecodeBin | ( |  | ) | `[virtual]`

Gst::DecodeBin::DecodeBin | ( |  | ) | `[protected]`

Gst::DecodeBin::DecodeBin | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( |  | ) | `[static]`

Creates a new decodebin plugin with a unique name.

Reimplemented from Gst::Bin.

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new decodebin plugin with the given name.

Reimplemented from Gst::Bin.

static GType Gst::DecodeBin::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Bin.

GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

const GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstDecodeBin* Gst::DecodeBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Bin.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_sink_caps | ( |  | ) |

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_sink_caps | ( |  | ) | const

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,bool > Gst::DecodeBin::signal_new_decoded_pad | ( |  | ) |

Slot Prototype:
  `void on_my_new_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0, bool arg1)`

Glib::SignalProxy1< void,const Glib::RefPtr<Gst::Pad>& > Gst::DecodeBin::signal_removed_decoded_pad | ( |  | ) |

Slot Prototype:
  `void on_my_removed_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0)`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin::signal_unknown_type | ( |  | ) |

Slot Prototype:
  `void on_my_unknown_type(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DecodeBin > wrap | ( | GstDecodeBin * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/decodebin.h